> ## Documentation Index
> Fetch the complete documentation index at: https://docs.borderless.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Setup Infinia integration.

> Create Infinia integration to configure the connection of Identity with the Infinia company.



## OpenAPI

````yaml https://sandbox-api.borderless.xyz/v1/api-json put /v1/organizations/integrations/infinia
openapi: 3.0.0
info:
  title: Borderless API
  description: The Borderless API documentation.
  version: '1.0'
  contact: {}
servers:
  - url: https://sandbox-api.borderless.xyz
security: []
tags: []
paths:
  /v1/organizations/integrations/infinia:
    put:
      tags:
        - Integrations Config
      summary: Setup Infinia integration.
      description: >-
        Create Infinia integration to configure the connection of Identity with
        the Infinia company.
      operationId: IntegrationsConfigController_setupInfiniaIntegrationConfig
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InfiniaSetupDto'
      responses:
        '202':
          description: Organization Infinia integration data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationConfigEntity'
      deprecated: true
      security:
        - bearer: []
components:
  schemas:
    InfiniaSetupDto:
      type: object
      properties:
        apiKey:
          type: string
          description: The Infinia username for authentication.
          example: user_x93ldfa1
        apiSecret:
          type: string
          description: The Infinia password for authentication.
          example: pW$7{D!mQ@t2
        companyId:
          type: string
          description: Infinia company id.
          example: comp_1234567890
      required:
        - apiKey
        - apiSecret
        - companyId
    IntegrationConfigEntity:
      type: object
      properties:
        provider:
          type: string
        integrationNetworkAddresses:
          type: array
          items:
            $ref: '#/components/schemas/IntegrationNetworkAddressEntity'
      required:
        - provider
    IntegrationNetworkAddressEntity:
      type: object
      properties:
        network:
          allOf:
            - $ref: '#/components/schemas/NetworkId'
        address:
          type: string
      required:
        - network
        - address
    NetworkId:
      type: string
      enum:
        - POLYGON
        - ETHEREUM
        - TRON
        - BASE
        - OPTIMISM
        - BITCOIN
        - SOLANA
        - CELO
      description: The network this refund address belongs to.
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````